<?php
 class elFinderVolumeGroup extends elFinderVolumeDriver {
 protected $driverId = 'g';
 public function __construct() {
 $this->options['type'] = 'group';
 $this->options['path'] = '/';
 $this->options['dirUrlOwn'] = true;
 $this->options['syncMinMs'] = 0;
 $this->options['tmbPath'] = '';
 $this->options['disabled'] = array( 'archive', 'copy', 'cut', 'duplicate', 'edit', 'empty', 'extract', 'getfile', 'mkdir', 'mkfile', 'paste', 'resize', 'rm', 'upload' );
 }
 protected function _dirname($path) {
 return '/';
 }
 protected function _basename($path) {
 return '';
 }
 protected function _joinPath($dir, $name) {
 return '/' . $name;
 }
 protected function _normpath($path) {
 return '/';
 }
 protected function _relpath($path) {
 return '/';
 }
 protected function _abspath($path) {
 return '/';
 }
 protected function _path($path) {
 return '/';
 }
 protected function _inpath($path, $parent) {
 return false;
 }
 protected function _stat($path) {
 if ($path === '/') {
 return array( 'size' => 0, 'ts' => 0, 'mime' => 'directory', 'read' => true, 'write' => false, 'locked' => true, 'hidden' => false, 'dirs' => 0 );
 }
 return false;
 }
 protected function _subdirs($path) {
 return false;
 }
 protected function _dimensions($path, $mime) {
 return false;
 }
 protected function readlink($path) {
 return null;
 }
 protected function _scandir($path) {
 return array();
 }
 protected function _fopen($path, $mode = 'rb') {
 return false;
 }
 protected function _fclose($fp, $path = '') {
 return true;
 }
 protected function _mkdir($path, $name) {
 return false;
 }
 protected function _mkfile($path, $name) {
 return false;
 }
 protected function _symlink($source, $targetDir, $name) {
 return false;
 }
 protected function _copy($source, $targetDir, $name) {
 return false;
 }
 protected function _move($source, $targetDir, $name) {
 return false;
 }
 protected function _unlink($path) {
 return false;
 }
 protected function _rmdir($path) {
 return false;
 }
 protected function _save($fp, $dir, $name, $stat) {
 return false;
 }
 protected function _getContents($path) {
 return false;
 }
 protected function _filePutContents($path, $content) {
 return false;
 }
 protected function _checkArchivers() {
 return;
 }
 protected function _chmod($path, $mode) {
 return false;
 }
 protected function _findSymlinks($path) {
 return false;
 }
 protected function _extract($path, $arc) {
 return false;
 }
 protected function _archive($dir, $files, $name, $arc) {
 return false;
 }
 }
 